iterators.hpp File Reference

Contains the iterators for access to packed repeated fields. More...

`#include <protozero/config.hpp>`
`#include <protozero/varint.hpp>`
`#include <algorithm>`
`#include <cstring>`
`#include <iterator>`
`#include <utility>`
Include dependency graph for iterators.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | protozero::iterator_range< T, P >
class | protozero::const_fixed_iterator< T >
class | protozero::const_varint_iterator< T >
class | protozero::const_svarint_iterator< T >

## Namespaces

| protozero
| All parts of the protozero header-only library are in this namespace.

## Functions

template<typename T >
void | protozero::swap (iterator_range< T > &lhs, iterator_range< T > &rhs) noexcept

## Detailed Description

Contains the iterators for access to packed repeated fields.